Package htsjdk.samtools.util

# Class Iso8601Date

java.lang.Object
java.util.Date
htsjdk.samtools.util.Iso8601Date

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Date>`

Direct Known Subclasses:
  `RelativeIso8601Date`

public class Iso8601Date extends Date
Use this type rather than java.util.Date in command-line options in order to get ISO 8601 parsing. The ctors below truncate milliseconds, since our formatter does not write them. Note that it is possible to modify an Iso8601Date so that it has fractional seconds, but that is discouraged.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Iso8601Date(String dateStr)`
`Iso8601Date(Date date)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.util.Date

`after, before, clone, compareTo, equals, from, getDate, getDay, getHours, getMinutes, getMonth, getSeconds, getTime, getTimezoneOffset, getYear, hashCode, parse, setDate, setHours, setMinutes, setMonth, setSeconds, setTime, setYear, toGMTString, toInstant, toLocaleString, UTC`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Iso8601Date

public Iso8601Date(String dateStr)

### Iso8601Date

public Iso8601Date(Date date)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Date`